## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# DOMStringLessThanIgnoreCaseASCIIFunction Struct Reference

Less than functor for DOMStrings which ignores case for the characters a-z and A-Z. More...

`#include <DOMStringHelper.hpp>`

Inheritance diagram for DOMStringLessThanIgnoreCaseASCIIFunction

Collaboration diagram for DOMStringLessThanIgnoreCaseASCIIFunction:

List of all members.

## Public Methods

- result_type operator() (first_argument_type theLHS, second_argument_type theRHS) const

## Detailed Description

Less than functor for DOMStrings which ignores case for the characters a-z and A-Z.

Parameters:

  theLHS | first string to compare
  theRHS | second string to compare

Returns:
  true if the theLHS is less than theRHS, without respect to case.

## Member Function Documentation

result_type DOMStringLessThanIgnoreCaseASCIIFunction::operator() ( | first_argument_type theLHS,
| second_argument_type theRHS ) const`[]`

The documentation for this struct was generated from the following file:

- DOMStringHelper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.